Phiên bản API Đồ thị

Whats App Business Account Call Analytics

Đọc

Enables one to retrieve the call analytics data for this WhatsApp Business Account

Ví dụ

Graph API Explorer
GET /v26.0/{whats-app-business-account-id}/call_analytics HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{whats-app-business-account-id}/call_analytics',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{whats-app-business-account-id}/call_analytics",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{whats-app-business-account-id}/call_analytics",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{whats-app-business-account-id}/call_analytics"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Nếu bạn muốn tìm hiểu cách sử dụng API Đồ thị, hãy đọc Hướng dẫn sử dụng API Đồ thị của chúng tôi.

Thông số

Thông sốMô tả
country_codes
array<string>
Giá trị mặc định: []

Country codes to receive analytics for

dimensions
array<enum {UNKNOWN, PHONE, COUNTRY, DIRECTION, TIER}>
Giá trị mặc định: []

Dimensions to receive analytics for

directions
array<enum {UNKNOWN, BUSINESS_INITIATED, USER_INITIATED}>
Giá trị mặc định: []

Call directions to receive analytics for

end
int64

End time

Bắt buộc
granularity
enum {HALF_HOUR, DAILY, MONTHLY}

What granularity to receive analytics for

Bắt buộc
metric_types
array<enum {UNKNOWN, COUNT, AVERAGE_DURATION, COST}>
Giá trị mặc định: []

Metric types to receive analytics for

phone_numbers
array<string>
Giá trị mặc định: []

Phone numbers to receive analytics for

start
int64

Start time

Bắt buộc
tiers
array<string>
Giá trị mặc định: []

tiers

Trường

Đọc từ cạnh này sẽ trả về một kết quả JSON đã định dạng:

{ "data": [], "paging": {} }

data

Danh sách nút WABACallAnalytics.

paging

Để biết thêm chi tiết về chia trang, hãy xem hướng dẫn về API Đồ thị.

Mã lỗi

LỗiMô tả
100Invalid parameter

Tạo

Bạn không thể thực hiện thao tác này trên điểm cuối này.

Cập nhật

Bạn không thể thực hiện thao tác này trên điểm cuối này.

Xóa

Bạn không thể thực hiện thao tác này trên điểm cuối này.